curl --request GET \
--url https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
"customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"amount": 10000,
"currency": "USD",
"status": "CONFIRMED",
"created_at": "2025-02-13T19:08:07.000Z",
"payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"updated_at": "2025-02-13T19:08:07.000Z",
"metadata": {
"platform_version": "2.1.0"
}
}{
"error": {
"type": "BAD_REQUEST_ERROR",
"message": "unsupported reward_type: INVALID, must be STATEMENT or DELAYED"
}
}{
"type": "TRANSACTION_INTENT_FOUND_ERROR",
"message": "Transaction intent not found for provided ID: txint_123",
"param": "intent_id"
}Retrieve a transaction intent
Retrieves the details of an existing transaction intent by id.
Required scope: TRANSACTION_INTENT_READ
Authorizations
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Path Parameters
The unique identifier for the transaction intent.
"3E4F0CCD-ACBF-42F3-A459-6DF92AF632D1"
Response
Transaction intent retrieved successfully
"5B30532B-5B5B-4826-8DE2-429C57B705FD"
"9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4"
Currency amount
10000
The 3-character currency code of the amount in ISO 4217 format (e.g., "USD")
"USD"
CONFIRMED, CANCELED "CONFIRMED"
the RFC-3339 timestamp when the transaction intent was created
"2025-02-13T19:08:07.000Z"
The payment_method_id that this transaction_intent was executed with.
"DCBFC736-2286-42DD-897D-160DCA80AED2"
The network's unique identifier for the transaction. Examples include Visa Transaction ID, Mastercard Trace ID, and American Express Network Reference ID
The partner's unique transaction id
the RFC-3339 timestamp when the transaction intent was last updated
"2025-02-13T19:08:07.000Z"
Additional transaction intent data
{ "platform_version": "2.1.0" }